Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	the open source chemistry toolbox
Name:		openbabel
Version:	2.2.0
Release:	1
License:	GPL
URL:		http://openbabel.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel


%description
Open Babel is a chemical toolbox designed to speak the many languages of chemical data. It's an open, collaborative project allowing anyone to search, convert, analyze, or store data from molecular modeling, chemistry, solid-state materials, biochemistry, or related areas

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/
%{_libdir}/*.so.*
%{_libdir}/openbabel/
%{_datadir}/openbabel/
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}/
%{_libdir}/*.so
%{_libdir}/*.la
%{_pkgconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- initial CCux package release
